Index: WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- WAeUP_SRP/trunk/WAeUPTool.py	(revision 1820)
+++ WAeUP_SRP/trunk/WAeUPTool.py	(revision 1821)
@@ -940,5 +940,7 @@
                 total_not_imported += 1
             else:
-                imported.append(format % item)
+                em = format % item
+                imported.append(em)
+                logger.info("%(total_imported)d of %(total)d %(em)s" % vars())
                 total_imported += 1
             total += 1
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1820)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1821)
@@ -59,5 +59,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="alr_date" meta_type="Date Widget">
+ <widget name="alr_date" meta_type="DateTime Widget">
   <property name="title">Exam Date</property>
   <property name="fields">
@@ -72,4 +72,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
+  <property name="time_setting">False</property>
  </widget>
  <widget name="alr_fname" meta_type="String Widget">
@@ -149,5 +150,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="birthday" meta_type="Date Widget">
+ <widget name="birthday" meta_type="DateTime Widget">
   <property name="title">Date of Birth</property>
   <property name="fields">
@@ -162,4 +163,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
+  <property name="time_setting">False</property>
  </widget>
  <widget name="cert" meta_type="Image Widget">
@@ -227,5 +229,5 @@
   <property name="render_format">radio</property>
  </widget>
- <widget name="entry_date" meta_type="Date Widget">
+ <widget name="entry_date" meta_type="DateTime Widget">
   <property name="title">Entry Date</property>
   <property name="fields">
@@ -242,6 +244,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
+  <property name="time_setting">False</property>
   </widget>
- <widget name="request_date" meta_type="Date Widget">
+ <widget name="request_date" meta_type="DateTime Widget">
   <property name="title">Request Date</property>
   <property name="fields">
@@ -258,6 +261,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
- </widget>
- <widget name="cleared_date" meta_type="Date Widget">
+  <property name="time_setting">False</property>
+ </widget>
+ <widget name="cleared_date" meta_type="DateTime Widget">
   <property name="title">cleared Date</property>
   <property name="fields">
@@ -274,4 +278,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
+  <property name="time_setting">False</property>
  </widget>
  <widget name="evid" meta_type="Image Widget">
@@ -318,5 +323,5 @@
     <property name="hidden_readonly_layout_modes"/>
   </widget>
-  <widget name="fst_sit_date" meta_type="Date Widget">
+  <widget name="fst_sit_date" meta_type="DateTime Widget">
   <property name="title">Exam Date</property>
   <property name="fields">
@@ -331,4 +336,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
+  <property name="time_setting">False</property>
  </widget>
  <widget name="fst_sit_fname" meta_type="String Widget">
@@ -632,5 +638,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="scd_sit_date" meta_type="Date Widget">
+ <widget name="scd_sit_date" meta_type="DateTime Widget">
   <property name="title">Exam Date</property>
   <property name="fields">
@@ -645,4 +651,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
+  <property name="time_setting">False</property>
  </widget>
  <widget name="scd_sit_fname" meta_type="String Widget">
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1820)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1821)
@@ -60,5 +60,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="alr_date" meta_type="Date Widget">
+ <widget name="alr_date" meta_type="DateTime Widget">
   <property name="title">Exam Date</property>
   <property name="fields">
@@ -73,4 +73,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
+  <property name="time_setting">False</property>
  </widget>
  <widget name="alr_fname" meta_type="String Widget">
@@ -150,5 +151,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="birthday" meta_type="Date Widget">
+ <widget name="birthday" meta_type="DateTime Widget">
   <property name="title">Date of Birth</property>
   <property name="fields">
@@ -163,4 +164,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
+  <property name="time_setting">False</property>
  </widget>
  <widget name="cert" meta_type="Image Widget">
@@ -228,5 +230,5 @@
   <property name="render_format">radio</property>
  </widget>
- <widget name="entry_date" meta_type="Date Widget">
+ <widget name="entry_date" meta_type="DateTime Widget">
   <property name="title">Entry Date</property>
   <property name="fields">
@@ -243,6 +245,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
- </widget>
- <widget name="request_date" meta_type="Date Widget">
+  <property name="time_setting">False</property>
+ </widget>
+ <widget name="request_date" meta_type="DateTime Widget">
   <property name="title">Request Date</property>
   <property name="fields">
@@ -259,6 +262,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
- </widget>
- <widget name="cleared_date" meta_type="Date Widget">
+  <property name="time_setting">False</property>
+ </widget>
+ <widget name="cleared_date" meta_type="DateTime Widget">
   <property name="title">Cleared Date</property>
   <property name="fields">
@@ -275,4 +279,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
+  <property name="time_setting">False</property>
  </widget>
  <widget name="evid" meta_type="Image Widget">
@@ -308,5 +313,5 @@
     <property name="height">2</property>
   </widget>
- <widget name="fst_sit_date" meta_type="Date Widget">
+ <widget name="fst_sit_date" meta_type="DateTime Widget">
   <property name="title">Exam Date</property>
   <property name="fields">
@@ -321,4 +326,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
+  <property name="time_setting">False</property>
  </widget>
  <widget name="fst_sit_fname" meta_type="String Widget">
@@ -625,5 +631,5 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="scd_sit_date" meta_type="Date Widget">
+ <widget name="scd_sit_date" meta_type="DateTime Widget">
   <property name="title">Exam Date</property>
   <property name="fields">
@@ -638,4 +644,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
+  <property name="time_setting">False</property>
  </widget>
  <widget name="scd_sit_fname" meta_type="String Widget">