Index: WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 1823)
+++ WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 1824)
@@ -10,75 +10,35 @@
          
           <br />  <br />     
-         
-          <h2>Returning Students</h2>         
           
-          <p>can view their 2006 session results and log into the portal (free of charge):</p>
           
+          <h2>Admission into Local/Part-Time Programmes 2006/2007</h2>
+
+          <p><strong>INSTRUCTIONS FOR CHECKING SCREENING 
+                     TEST RESULTS AND ADMISSIONS</strong></p>
           <br />
-          <ul>
-          <li> Simply click "Return 2006/2007", </li> 
-          <li> enter your Matriculation Number and either your firstname, middlename or lastname,</li> 
-          <li> press the "Search" button. </li> 
-          </ul>
-          <br />
-          <p>Your 2006 session results will be shown. Please check the data. 
-             Then proceed to create your member and student records .</p>
+          <ol>
+          <li>Click on 'View CEST Results' (CEST means Common Entrance Screening Test),</li> 
+          <li>enter your Application Number (No Scratch Card is required for this!),</li> 
+          <li>press the "Search" button, </li> 
+          <li>print your Result Slip.</li>
           
-          <br />
-          <ul>
-          <li> Press the "Continue to Login" button, </li> 
-          <li> check if you are the person indicated on the access data form,</li> 
-          <li> enter your email address and phone number,</li> 
-          <li> choose and verify your password (minimum size 5 characters including 1 digit),</li>
-          <li> tick the acknowledgement check box,</li>           
-          <li> press the "Save & First-time Login" button. </li> 
-          </ul>
-          <br />
-          <p>You are logged in and your session results will be shown again. Your GPA has been calculated.</p>
-          <br />
-          <ul>
-          <li> Print your Sessional Result Slip (it includes your new Student Id for further logins), </li> 
-          <li> edit your personal data record,</li> 
-          <li> book your accommodation,</li> 
-          <li> pay your school fee,</li>
-          <li> register your courses.</li>          
-          </ul>
+          <li>If you are admitted or if you are a <strong>Diploma or Non-Exam Programme</strong> applicant, purchase a N250-Admission-Checking and a 
+          N10500-Clearance Scratch Card from any of the following designated banks in Benin City:
           
-          <br />
-          <p>If you have to register for <strong>previous sessions</strong> or are a 
-          <strong>temporary withdrawn</strong> student, click "Previous Sessions" 
-          instead of "Return 2006/2007".</p> 
-         
-          <br />
+          <br /><br />
+          UBA Plc, Uselu-Ugbowo Rd <br />
+          First Bank Plc, Ugbowo <br />
+          Unity Bank, Uniben <br />
+          Intercontinental Bank, Uniben <br />
+          Wema Bank, Akpakpava Road <br />
+          Zenith Bank Uselu <br /><br />
+          </li>
           
-          <h2>New Students</h2>
-
-          <p>can view their 2006 PUME/PDE/CEST results and admission status (free of charge):</p>
-          <br />
-          <ul>
-          <li> Simply click "View PUME, PDE or CEST Results", </li> 
-          <li> enter your Registration Number and  </li> 
-          <li> press the "Search" button. </li> 
-          </ul>
-          <br />
-          <p>Your result record will be shown.</p>
-          
-          <p>If you are admitted, proceed with checking your admission details: </p>
-          <br />
-          <ul>
-          <li>Buy your Admission Checking Scratch Card,</li> 
-          <li>click "Check Admission",</li> 
-          <li>enter your Registration Number and your Admission Checking PIN (prefix APP)</li> 
+          <li>Click "Check Admission",</li> 
+          <li>enter your Registration Number and your Admission Checking PIN (prefix APP),</li> 
           <li>press the "Check" button,</li> 
-          <li>print your admission slip and log out.</li> 
-          </ul>
-          <br />
-          
-          <p>You can continue with initiating the clearance process:</p>
-
-          <br />
-          <ul>
-          <li>Buy your Clearance Scratch Card,</li> 
-          <li>log in with your new Student ID (see Admission Slip)
+          <li>print your Admission Slip,</li> 
+          <li>buy your Clearance Scratch Card,</li> 
+          <li>log in with your new Student Id (see Admission Slip)
               and your Password (last 10 digits of your Admission Checking PIN),</li> 
           <li>press the "Continue" button,</li> 
@@ -87,33 +47,46 @@
           <li>enter your Clearance PIN (prefix CLR) and</li> 
           <li>press the "Start" button.</li> 
-          </ul>
+          </ol>
+          <br />       
+          
+          
+          <p><strong>Notice:</strong> Clearance and Orientation for Part-Time and Diploma Students commences on 
+             resumption and ends exactly on <strong><font color="red">1st June 2007</font></strong>. 
+             Part-Time and Diploma Students must fill their 
+             Clearance/Elegibility forms online before 1st June.
+             Any breach of this directive, will result in forfeiture of the adminssion offer. 
+          </p>            
+         
+          <h2>Returning Students</h2>         
+         
+
+          <ol>
+          <li> Simply click "Return 2006/2007", </li> 
+          <li> enter your Matriculation Number and either your firstname, middlename or lastname,</li> 
+          <li> press the "Search" button,</li> 
+          <li> press the "Continue to Login" button, </li> 
+          <li> check if you are the person indicated on the access data form,</li> 
+          <li> enter your email address and phone number,</li> 
+          <li> choose and verify your password (minimum size 5 characters including 1 digit),</li>
+          <li> tick the acknowledgement check box,</li>           
+          <li> press the "Save & First-time Login" button,</li> 
+          <li> print your Sessional Result Slip (it includes your new Student Id for further logins), </li> 
+          <li> edit your personal data record,</li> 
+          <li> book your accommodation,</li> 
+          <li> pay your school fee,</li>
+          <li> register your courses.</li>          
+          </ol>
+          
           <br />
-
-          <p>Candidates are expected to
-          submit their clearance form online and proceed to their respective faculty 
-          for physical clearance by their faculty clearance officer. 
-          Download description of the clearance requirements here:
-          <strong><a target="_blank" href="http://files.saoas.org/Procedure_for_clearance.pdf">UME</a></strong>,
-          <strong><a target="_blank" href="http://files.saoas.org/Procedure_for_clearance_Direct.pdf">DE</a></strong> (1 page).
-          After being cleared you are eligible for booking your accommodation on campus, 
-          you must pay your school fee and register your courses online.
-          </p>
-          <br />
-
-          <p>Download detailed technical instructions
-          <strong><a target="_blank" href="http://files.saoas.org/uniben_student_manual.pdf">here</a></strong> (9 pages).
-          Please use the Enquiry form to precisely report errors. 
-          The report must include the time when the error occurred and the exact error message.
-          You will be notified by email when the problem is solved. </p>
-          <br />
-
-          <p>Resumption Date: Clearance and Orientation for Fresh Students (UME) commences 
-          on <strong><font color="red">Monday 11th December 2006</font></strong>. 
-          The exercise ends on <strong><font color="red">Friday 22nd December 2006</font></strong>. 
-          Clearance for Part-Time Students commences on resumption and ends exactly on 
-          <strong><font color="red">1st June 2007</font></strong>. 
-          Any breach of this directive, will result in forfeiture of the adminssion offer.
-          </p>
-       
+          <p>If you have to register for <strong>previous sessions</strong> or are a 
+          <strong>temporary withdrawn</strong> student, click "Previous Sessions" 
+          instead of "Return 2006/2007".</p> 
+          
+          <p><strong>Notice:</strong> Full Time Students are expected to register their 
+          courses online on or before <strong><font color="red">31st May 2007</font></strong>. 
+ 
+          </p>          
+         
+      
           <br />       
 
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view_old.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view_old.pt	(revision 1824)
+++ WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view_old.pt	(revision 1824)
@@ -0,0 +1,122 @@
+<metal:html>
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+        <h2>Welcome to the     
+          <br />New Student Registration Portal of the University of Benin, Nigeria</h2>
+        <br />
+        <strong>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part 
+           of the West African e-University Project
+           (<a href="" tal:attributes="href string:http://waeup.org">WAeUP</a>).</strong>
+         
+          <br />  <br />     
+         
+          <h2>Returning Students</h2>         
+          
+          <p>can view their 2006 session results and log into the portal (free of charge):</p>
+          
+          <br />
+          <ul>
+          <li> Simply click "Return 2006/2007", </li> 
+          <li> enter your Matriculation Number and either your firstname, middlename or lastname,</li> 
+          <li> press the "Search" button. </li> 
+          </ul>
+          <br />
+          <p>Your 2006 session results will be shown. Please check the data. 
+             Then proceed to create your member and student records .</p>
+          
+          <br />
+          <ul>
+          <li> Press the "Continue to Login" button, </li> 
+          <li> check if you are the person indicated on the access data form,</li> 
+          <li> enter your email address and phone number,</li> 
+          <li> choose and verify your password (minimum size 5 characters including 1 digit),</li>
+          <li> tick the acknowledgement check box,</li>           
+          <li> press the "Save & First-time Login" button. </li> 
+          </ul>
+          <br />
+          <p>You are logged in and your session results will be shown again. Your GPA has been calculated.</p>
+          <br />
+          <ul>
+          <li> Print your Sessional Result Slip (it includes your new Student Id for further logins), </li> 
+          <li> edit your personal data record,</li> 
+          <li> book your accommodation,</li> 
+          <li> pay your school fee,</li>
+          <li> register your courses.</li>          
+          </ul>
+          
+          <br />
+          <p>If you have to register for <strong>previous sessions</strong> or are a 
+          <strong>temporary withdrawn</strong> student, click "Previous Sessions" 
+          instead of "Return 2006/2007".</p> 
+         
+          <br />
+          
+          <h2>New Students</h2>
+
+          <p>can view their 2006 PUME/PDE/CEST results and admission status (free of charge):</p>
+          <br />
+          <ul>
+          <li> Simply click "View PUME, PDE or CEST Results", </li> 
+          <li> enter your Registration Number and  </li> 
+          <li> press the "Search" button. </li> 
+          </ul>
+          <br />
+          <p>Your result record will be shown.</p>
+          
+          <p>If you are admitted, proceed with checking your admission details: </p>
+          <br />
+          <ul>
+          <li>Buy your Admission Checking Scratch Card,</li> 
+          <li>click "Check Admission",</li> 
+          <li>enter your Registration Number and your Admission Checking PIN (prefix APP)</li> 
+          <li>press the "Check" button,</li> 
+          <li>print your admission slip and log out.</li> 
+          </ul>
+          <br />
+          
+          <p>You can continue with initiating the clearance process:</p>
+
+          <br />
+          <ul>
+          <li>Buy your Clearance Scratch Card,</li> 
+          <li>log in with your new Student ID (see Admission Slip)
+              and your Password (last 10 digits of your Admission Checking PIN),</li> 
+          <li>press the "Continue" button,</li> 
+          <li>check your email address and phone number,</li> 
+          <li>press the "Save & Continue" button,</li> 
+          <li>enter your Clearance PIN (prefix CLR) and</li> 
+          <li>press the "Start" button.</li> 
+          </ul>
+          <br />
+
+          <p>Candidates are expected to
+          submit their clearance form online and proceed to their respective faculty 
+          for physical clearance by their faculty clearance officer. 
+          Download description of the clearance requirements here:
+          <strong><a target="_blank" href="http://files.saoas.org/Procedure_for_clearance.pdf">UME</a></strong>,
+          <strong><a target="_blank" href="http://files.saoas.org/Procedure_for_clearance_Direct.pdf">DE</a></strong> (1 page).
+          After being cleared you are eligible for booking your accommodation on campus, 
+          you must pay your school fee and register your courses online.
+          </p>
+          <br />
+
+          <p>Download detailed technical instructions
+          <strong><a target="_blank" href="http://files.saoas.org/uniben_student_manual.pdf">here</a></strong> (9 pages).
+          Please use the Enquiry form to precisely report errors. 
+          The report must include the time when the error occurred and the exact error message.
+          You will be notified by email when the problem is solved. </p>
+          <br />
+
+          <p>Resumption Date: Clearance and Orientation for Fresh Students (UME) commences 
+          on <strong><font color="red">Monday 11th December 2006</font></strong>. 
+          The exercise ends on <strong><font color="red">Friday 22nd December 2006</font></strong>. 
+          Clearance for Part-Time Students commences on resumption and ends exactly on 
+          <strong><font color="red">1st June 2007</font></strong>. 
+          Any breach of this directive, will result in forfeiture of the adminssion offer.
+          </p>
+       
+          <br />       
+
+    </metal:main>
+  </metal:body>
+</metal:html>