Index: /WAeUP_SRP/trunk/PatchExtendedWidgetsCPSDateTimeWidget.py
===================================================================
--- /WAeUP_SRP/trunk/PatchExtendedWidgetsCPSDateTimeWidget.py	(revision 1827)
+++ /WAeUP_SRP/trunk/PatchExtendedWidgetsCPSDateTimeWidget.py	(revision 1828)
@@ -3,4 +3,5 @@
 from DateTime.DateTime import DateTime
 from Products.CPSSchemas.ExtendedWidgets import CPSDateTimeWidget
+CPSDateTimeWidget.time_hour_default = '00'
 
 def validate(self, datastructure, **kw):
@@ -30,5 +31,5 @@
             datamodel[field_id] = None
             return 1
-
+    # import pdb;pdb.set_trace()
     if self.view_format.startswith('iso8601'):
         if re.match(r'^[0-9]+-[0-9]{2}-[0-9]{2}', date) is not None:
@@ -39,9 +40,9 @@
     else:
         if re.match(r'^[0-9]?[0-9]/[0-9]?[0-9]/[0-9]{2,4}$', date) is not None:
-            locale = self.translation_service.getSelectedLanguage()
-            if locale in ('en', 'hu'):
-                m, d, y = date.split('/')
-            else:
-                d, m, y = date.split('/')
+            d, m, y = date.split('/') # always use d/m/y
+            # locale = self.translation_service.getSelectedLanguage()
+            # if False and locale in ('en', 'hu'): 
+            #     m, d, y = date.split('/')
+            # else:
         else:
             datastructure.setError(widget_id, 'cpsschemas_err_date')
@@ -58,4 +59,5 @@
         datamodel[field_id] = v
         return 1
+    
 
 CPSDateTimeWidget.validate = validate
Index: /WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml	(revision 1827)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml	(revision 1828)
@@ -124,5 +124,5 @@
  <property name="hidden_layout_modes"/>
  <property name="hidden_readonly_layout_modes"/>
- <property name="view_format">iso8601</property>
+ <property name="view_format">%d/%m/%Y</property>
  <property name="time_setting">False</property>
  <property name="time_hour_default">00</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1827)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1828)
@@ -20,4 +20,6 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
  </widget>
  <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 1827)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 1828)
@@ -22,5 +22,6 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">medium</property>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
  </widget>
  <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
@@ -54,5 +55,6 @@
  </property>
  <property name="hidden_readonly_layout_modes"/>
- <property name="view_format">medium</property>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
 </widget>
  <widget name="entry_mode" meta_type="Select Widget">
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1827)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1828)
@@ -71,5 +71,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
  </widget>
@@ -162,5 +162,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
  </widget>
@@ -243,5 +243,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
   </widget>
@@ -260,5 +260,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
  </widget>
@@ -277,5 +277,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
  </widget>
@@ -335,5 +335,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
  </widget>
@@ -650,5 +650,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
  </widget>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1827)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1828)
@@ -72,5 +72,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
  </widget>
@@ -163,5 +163,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
  </widget>
@@ -244,5 +244,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
  </widget>
@@ -261,5 +261,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
  </widget>
@@ -278,5 +278,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
  </widget>
@@ -325,5 +325,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
  </widget>
@@ -643,5 +643,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
  </widget>
Index: /WAeUP_SRP/trunk/skins/waeup_custom/widget_datetime_render.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/widget_datetime_render.pt	(revision 1827)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/widget_datetime_render.pt	(revision 1828)
@@ -15,5 +15,5 @@
 <tal:block define="name here/getHtmlWidgetId;
                    date_day_fmt python:fmt.startswith('iso8601')
-                       and 'iso8601_short' or 'short'"
+                       and 'iso8601_short' or fmt"
   condition="python: mode == 'edit'">
   <input type="text" size="11" maxlength="22"