Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1829)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1830)
@@ -311,10 +311,10 @@
  </widget>
   <widget name="matric_no_history" meta_type="String Widget">
-    <property name="title">Previous Matric No(s)</property>
+    <property name="title">>Previous Matric. Number(s)</property>
     <property name="fields">
       <element value="matric_no_history"/>
     </property>
-    <property name="label">Previous Matric No(s)</property>
-    <property name="label_edit">Previous Matric No(s)</property>
+    <property name="label">>Previous Matric. Number(s)</property>
+    <property name="label_edit">>Previous Matric. Number(s)</property>
     <property name="readonly_layout_modes"/>
     <property name="hidden_layout_modes">
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1829)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1830)
@@ -298,19 +298,4 @@
   <property name="allow_resize">True</property>
  </widget>
-  <widget name="matric_no_history" meta_type="Lines Widget">
-    <property name="title">Previous Matric No(s)</property>
-    <property name="fields">
-      <element value="matric_no_history"/>
-    </property>
-    <property name="label">Previous Matric No(s)</property>
-    <property name="label_edit">Previous Matric No(s)</property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="width">50</property>
-    <property name="height">2</property>
-  </widget>
  <widget name="fst_sit_date" meta_type="DateTime Widget">
   <property name="title">Exam Date</property>
@@ -582,4 +567,19 @@
   <property name="size_max">10</property>
  </widget>
+ <widget name="matric_no_history" meta_type="Lines Widget">
+   <property name="title">Previous Matric No(s)</property>
+   <property name="fields">
+     <element value="matric_no_history"/>
+   </property>
+   <property name="label">Previous Matric. Number(s)</property>
+   <property name="label_edit">Previous Matric. Number(s)</property>
+   <property name="readonly_layout_modes"/>
+   <property name="hidden_layout_modes">
+     <element value="create"/>
+   </property>
+   <property name="hidden_readonly_layout_modes"/>
+   <property name="width">50</property>
+   <property name="height">2</property>
+ </widget> 
  <widget name="nationality" meta_type="Select Widget">
   <property name="title">Nationality</property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1829)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1830)
@@ -20,19 +20,21 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
-  <widget name="study_course_history" meta_type="Lines Widget">
-    <property name="title">Previous Studies</property>
-    <property name="fields">
-      <element value="study_course_history"/>
-    </property>
-    <property name="label">Previous Studies</property>
-    <property name="label_edit">Previous Studies</property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="width">50</property>
-    <property name="height">2</property>
-  </widget>
-  <widget name="current_session" meta_type="Select Widget">
-  <property name="title">Current Study session</property>
+ <widget name="study_course_history" meta_type="Lines Widget">
+  <property name="title">Previous Study Courses</property>
+  <property name="fields">
+    <element value="study_course_history"/>
+  </property>
+  <property name="label">Previous Study Courses</property>
+  <property name="label_edit">Previous Study Courses</property>
+  <property name="readonly_layout_modes">
+    <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="width">50</property>
+  <property name="height">2</property>
+ </widget>
+ <widget name="current_session" meta_type="Select Widget">
+  <property name="title">Current Study Session</property>
   <property name="fields">
    <element value="current_session"/>