Index: WAeUP_SRP/trunk/PatchCatalogToolSearchResults.py
===================================================================
--- WAeUP_SRP/trunk/PatchCatalogToolSearchResults.py	(revision 1846)
+++ 	(revision )
@@ -1,60 +1,0 @@
-from Products.CMFCore import CatalogTool
-from Products.CMFCore.utils import _getAuthenticatedUser
-from Products.ZCatalog.ZCatalog import ZCatalog
-# searchResults has inherited security assertions.
-def searchResults(self, REQUEST=None, **kw):
-    """
-        Calls ZCatalog.searchResults with extra arguments that
-        limit the results to what the user is allowed to see.
-    """
-    user = _getAuthenticatedUser(self)
-    kw[ 'allowedRolesAndUsers' ] = self._listAllowedRolesAndUsers( user )
-
-    if not _checkPermission( AccessInactivePortalContent, self ):
-        now = DateTime()
-
-        self._convertQuery(kw)
-
-        # Intersect query restrictions with those implicit to the tool
-        # for k in 'effective', 'expires':
-        #     if kw.has_key(k):
-        #         range = kw[k]['range'] or ''
-        #         query = kw[k]['query']
-        #         if not isinstance(query, (tuple, list)):
-        #             query = (query,)
-        #     else:
-        #         range = ''
-        #         query = None
-        #     if range.find('min') > -1:
-        #         lo = min(query)
-        #     else:
-        #         lo = None
-        #     if range.find('max') > -1:
-        #         hi = max(query)
-        #     else:
-        #         hi = None
-        #     if k == 'effective':
-        #         if hi is None or hi > now:
-        #             hi = now
-        #         if lo is not None and hi < lo:
-        #             return ()
-        #     else: # 'expires':
-        #         if lo is None or lo < now:
-        #             lo = now
-        #         if hi is not None and hi < lo:
-        #             return ()
-        #     # Rebuild a query
-        #     if lo is None:
-        #         query = hi
-        #         range = 'max'
-        #     elif hi is None:
-        #         query = lo
-        #         range = 'min'
-        #     else:
-        #         query = (lo, hi)
-        #         range = 'min:max'
-        #     kw[k] = {'query': query, 'range': range}
-
-    return ZCatalog.searchResults(self, REQUEST, **kw)
-
-CatalogTool.searchResults = searchResults
Index: WAeUP_SRP/trunk/PatchZODBConnectionOpen.py
===================================================================
--- WAeUP_SRP/trunk/PatchZODBConnectionOpen.py	(revision 1846)
+++ WAeUP_SRP/trunk/PatchZODBConnectionOpen.py	(revision 1847)
@@ -33,5 +33,4 @@
     self._synch = synch
     self._mvcc = mvcc and not self._version
-
     if transaction_manager is None:
         transaction_manager = transaction.manager
@@ -45,4 +44,5 @@
         self._resetCache()
     # else:
+    #     import pdb; pdb.set_trace()
     #     self._flush_invalidations()
 
@@ -58,3 +58,4 @@
             if connection is not self:
                 connection.open(transaction_manager, mvcc, synch, False)
+
 Connection.open = open
Index: WAeUP_SRP/trunk/__init__.py
===================================================================
--- WAeUP_SRP/trunk/__init__.py	(revision 1846)
+++ WAeUP_SRP/trunk/__init__.py	(revision 1847)
@@ -12,5 +12,4 @@
 
 import PatchCPSWorkflowWorkflowDefinition
-#import PatchCatalogToolSearchResults
 import PatchCatalogToolXMLAdapter
 import PatchCPSSchemasAttributeStorageAdapter
Index: WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 1846)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 1847)
@@ -37,5 +37,4 @@
 request = context.REQUEST
 students = context.portal_url.getPortalObject().campus.students
-#set_trace()
 student_id = context.getStudentId()
 if student_id is None: