Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py	(revision 1870)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py	(revision 1871)
@@ -71,5 +71,5 @@
 info['id'] = student_id
 info['student'] = student
-review_state = info['review_state'] = wf.getInfoFor(student,'review_state',None)
+review_state = info['review_state'] = context.getStudentReviewState()
 booking_allowed = False
 if review_state in ('cleared_and_validated','returning','school_fee_paid','courses_registered', 'courses_validated',):
Index: /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1870)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1871)
@@ -68,5 +68,5 @@
             payments.getContent().edit(mapping=d)
         student_pume = getattr(student,'pume',None)
-        s_review_state = wftool.getInfoFor(student,'review_state',None)
+        s_review_state = context.getStudentReviewState()
         a_review_state = wftool.getInfoFor(student_app,'review_state',None)
         student_per = getattr(student,'personal',None)
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/check_transactions.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/check_transactions.py	(revision 1870)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/check_transactions.py	(revision 1871)
@@ -75,5 +75,5 @@
             logger.info('payment object of %s closed' % (student_id))
             continue
-        review_state = wftool.getInfoFor(student_obj,'review_state',None)
+        review_state = context.getStudentReviewState()
         if review_state != "cleared_and_validated":
             logger.info('%s review_state = %s' % (student_id,review_state))
Index: /WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py	(revision 1870)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py	(revision 1871)
@@ -41,5 +41,5 @@
 info['id'] = student_id
 info['student'] = student
-info['review_state'] = wf.getInfoFor(student,'review_state',None)
+info['review_state'] = context.getStudentReviewState()
 info['app'] = student.application
 info['app_doc'] = student.application.getContent()
Index: /WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py	(revision 1870)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py	(revision 1871)
@@ -47,5 +47,5 @@
 info['id'] = student_id
 info['student'] = student
-info['review_state'] = wf.getInfoFor(student,'review_state',None)
+info['review_state'] = context.getStudentReviewState()
 info['app'] = student.application
 info['app_doc'] = student.application.getContent()
Index: /WAeUP_SRP/trunk/skins/waeup_student/getCourseResultInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getCourseResultInfo.py	(revision 1870)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getCourseResultInfo.py	(revision 1871)
@@ -44,5 +44,5 @@
 ##    info['review_state'] = res[0].review_state
 info['id'] = student_id
-info['review_state'] = wf.getInfoFor(student,'review_state',None)
+info['review_state'] = context.getStudentReviewState()
 #info['per'] = student.personal
 info['course_doc'] = context.getContent()
Index: /WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py	(revision 1870)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py	(revision 1871)
@@ -44,5 +44,5 @@
     info['student'] = student
     info['id'] = student_id
-    info['review_state'] = wf.getInfoFor(student,'review_state',None)
+    info['review_state'] = context.getStudentReviewState()
     info['per'] = student.personal
     info['app'] = student.application
Index: /WAeUP_SRP/trunk/skins/waeup_student/getPersonalInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getPersonalInfo.py	(revision 1870)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getPersonalInfo.py	(revision 1871)
@@ -44,5 +44,5 @@
 ##    info['review_state'] = res[0].review_state
 info['id'] = student_id
-info['review_state'] = wf.getInfoFor(student,'review_state',None)
+info['review_state'] = context.getStudentReviewState()
 info['per'] = student.personal
 info['per_doc'] = student.personal.getContent()
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentFolderInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentFolderInfo.py	(revision 1870)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentFolderInfo.py	(revision 1871)
@@ -53,7 +53,10 @@
 for field in context.students_catalog.schema():
     info[field] = getattr(st_brain,field)
-res = context.portal_catalog(portal_type='Student',id = student_id)
-if res:
-    info['review_state'] = res[0].review_state
+
+#res = context.portal_catalog(portal_type='Student',id = student_id)
+#if res:
+#    info['review_state'] = res[0].review_state
+
+info['review_state'] = context.getStudentReviewState()
 
 info['session'] = False
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1870)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1871)
@@ -63,5 +63,5 @@
 ##student = brain.getObject()
 
-info['review_state'] = wf.getInfoFor(student,'review_state',None)
+info['review_state'] = context.getStudentReviewState()
 info['student'] = student
 info['id'] = student.getId()
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py	(revision 1870)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py	(revision 1871)
@@ -27,5 +27,5 @@
 #info['student'] = student
 info['url'] = student.absolute_url()
-review_state = info['review_state'] = wf.getInfoFor(student,'review_state',None)
+review_state = info['review_state'] = context.getStudentReviewState()
 info['cr'] = review_state in  ('returning',
                                            'school_fee_paid',
Index: /WAeUP_SRP/trunk/skins/waeup_student/get_searchable_student_states.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/get_searchable_student_states.py	(revision 1870)
+++ /WAeUP_SRP/trunk/skins/waeup_student/get_searchable_student_states.py	(revision 1871)
@@ -1,3 +1,3 @@
-## Script (Python) "get_searchable_review_states"
+## Script (Python) "get_searchable_student_states"
 ##bind container=container
 ##bind context=context