Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1875)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1876)
@@ -2,12 +2,13 @@
 <object name="portal_actions" meta_type="CMF Actions Tool">
  <action-provider name="portal_membership">
+  <action title="My stuff" action_id="mystuff" category="user"
+     condition_expr="python: member and portal.portal_membership.getHomeFolder()"
+     url_expr="string:${portal/portal_membership/getHomeUrl}/folder_contents"
+     visible="True">
+   <permission>View</permission>
+  </action>
   <action title="Search Members" action_id="member_view" category="user"
      condition_expr="member"
      url_expr="string:${portal_url}/search_members_form" visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="Student Login" action_id="login" category="user"
-     condition_expr="not: member"
-     url_expr="string:${portal_url}/login_student" visible="True">
    <permission>View</permission>
   </action>
@@ -30,6 +31,6 @@
   </action>
   <action title="Student Login" action_id="login_student" category="student"
-     condition_expr="not:member" url_expr="string:${portal_url}/login_student"
-     visible="True">
+     condition_expr="python: not member and portal.portal_url().find('uniben.waeup.org') &gt;-1"
+     url_expr="string:${portal_url}/login_student" visible="True">
    <permission>View</permission>
   </action>
@@ -45,7 +46,7 @@
    <permission>View</permission>
   </action>
-  <action title="Search Portal" action_id="waeup_search"
-     category="global" condition_expr="member"
-     url_expr="string:./waeup_search_form" visible="True">
+  <action title="Search Portal" action_id="waeup_search" category="global"
+     condition_expr="member" url_expr="string:./waeup_search_form"
+     visible="True">
    <permission>View</permission>
   </action>
@@ -62,6 +63,5 @@
   <action title="Portal Members" action_id="members" category="global"
      condition_expr="python:portal.portal_directories.members.isSectionOfficer()"
-     url_expr="string:${portal_url}/search_members_form"
-     visible="True">
+     url_expr="string:${portal_url}/search_members_form" visible="True">
    <permission>View</permission>
   </action>
@@ -134,5 +134,5 @@
      url_expr="string:${portal_url}/display_cest_results" visible="True">
    <permission>View</permission>
-  </action>  
+  </action>
   <action title="Check Admission" action_id="check_admission"
      category="student" condition_expr="not:member"
@@ -156,5 +156,6 @@
   </action>
   <action title="Home" action_id="students_home" category="student_navigation"
-     condition_expr="not:member" url_expr="string:${portal_url}" visible="True">
+     condition_expr="not:member" url_expr="string:${portal_url}"
+     visible="True">
    <permission>View</permission>
   </action>
@@ -174,12 +175,13 @@
   <action title="My Payments" action_id="payments"
      category="student_navigation" condition_expr="member"
-     url_expr="string:${portal_url}/campus/students/${member}/payments" visible="True"/>
+     url_expr="string:${portal_url}/campus/students/${member}/payments"
+     visible="True"/>
   <action title="Register Courses" action_id="register_courses"
      category="student" condition_expr="member"
      url_expr="string:${portal_url}/register_courses" visible="False"/>
-  <action title="Request Transfer" action_id="request_transfer" category="student"
-     condition_expr="python: here.isStudent() and here.getStudentWorkflowInfo()['tr']" url_expr="string:${portal_url}/request_transfer"
-     visible="True"/>
-
+  <action title="Request Transfer" action_id="request_transfer"
+     category="student"
+     condition_expr="python: here.isStudent() and here.getStudentWorkflowInfo()['tr']"
+     url_expr="string:${portal_url}/request_transfer" visible="True"/>
  </action-provider>
  <action-provider name="portal_registration">
@@ -190,5 +192,5 @@
   </action>
  </action-provider>
- <action-provider name="portal_themes" />
+ <action-provider name="portal_themes"/>
  <action-provider name="portal_types"/>
  <action-provider name="portal_syndication"/>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1875)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1876)
@@ -306,5 +306,5 @@
    <property name="readonly_layout_modes">
      <element value="edit"/>
-   </property>  
+   </property>
    <property name="hidden_layout_modes">
      <element value="create"/>
@@ -760,7 +760,4 @@
   </row>
   <row>
-   <cell name="entry_session"/>
-  </row>
-  <row>
    <cell name="request_date"/>
   </row>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1875)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1876)
@@ -576,5 +576,5 @@
    <property name="readonly_layout_modes">
      <element value="edit"/>
-   </property>  
+   </property>
    <property name="hidden_layout_modes">
      <element value="create"/>
@@ -766,7 +766,4 @@
   </row>
   <row>
-   <cell name="entry_session"/>
-  </row>
-  <row>
    <cell name="request_date"/>
   </row>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 1875)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 1876)
@@ -69,5 +69,4 @@
  <field name="sup_adm" meta_type="CPS Boolean Field"/>
  <field name="uniben" meta_type="CPS Boolean Field"/>
- <field name="form_matric_no" meta_type="CPS String Field"/>
 
  <field name="def_adm" meta_type="CPS Boolean Field"/>