Index: WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 1874)
+++ WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 1883)
@@ -1,31 +1,31 @@
 <metal:body use-macro="here/slip_template/macros/master">
-    <metal:main fill-slot="main"
-                tal:define="info context/getStudyLevelInfo;
-                  is_so context/isSectionOfficer;
-                  is_ca info/is_ca;
-                  show_check_boxes info/show_check_boxes;
-                  validated python:context.getStudentReviewState() in ('courses_validated',);
-		              is_student info/is_student;
-            		  status_info info/status_info;
-            		  review_state info/review_state;
-            		  view_only info/view_only">
-      <span tal:condition="not: info">
-        <span tal:content="here/illegal_view" />
-      </span>
-      <span tal:condition="info">
+  <metal:main fill-slot="main"
+              tal:define="info context/getStudyLevelInfo;"
+              >
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info" tal:omit-tag="">
+      <span tal:omit-tag=""
+          tal:define="is_so info/is_so;
+          is_ca info/is_ca;
+          show_check_boxes info/show_check_boxes;
+          is_student info/is_student;
+          status_info info/status_info;
+          review_state info/review_state;
+          validated python:review_state in ('courses_validated',);
+          view_only info/view_only"
+          >
       <h3>Course Registration Slip</h3>
-      
       <br />
-      
       <div tal:condition="validated">
         - validated by Course Adviser - 
-      <span tal:condition="info/doc/validated_by|nothing" tal:omit-tag="">
-        <span tal:replace="info/doc/validated_by" /> on <span tal:replace="info/doc/validation_date" />
-      </span>
+        <span tal:condition="info/doc/validated_by|nothing" tal:omit-tag="">
+          <span tal:replace="info/doc/validated_by" /> on <span tal:replace="info/doc/validation_date" />
+        </span>
       </div>
       <div tal:condition="not: validated">
         - not yet validated by Course Adviser -
       </div>
-      
       <br />
       <span tal:omit-tag=""
@@ -34,43 +34,41 @@
             layout_id='student_application_fe')" 
             />           
-
       <table  cellpadding="2" cellspacing="0">
-          <tr>
-            <td valign="top" width="180px"><span class="dlabel">Faculty Id</span>:
-            </td>
-            <td> 
-              <span tal:content="info/student/faculty" />
-            </td>      
-          </tr>
-          <tr>
-            <td valign="top"><span class="dlabel">Department Id</span>:
-            </td>
-            <td> 
-              <span tal:content="info/student/department" />
-            </td>      
-          </tr>
-          <tr>
-            <td valign="top"><span class="dlabel">Study Course Id</span>:
-            </td>
-            <td> 
-              <span tal:content="info/student/course" />
-            </td>      
-          </tr>
+        <tr>
+          <td valign="top" width="180px"><span class="dlabel">Faculty Id</span>:
+          </td>
+          <td> 
+            <span tal:content="info/student/faculty" />
+          </td>      
+        </tr>
+        <tr>
+          <td valign="top"><span class="dlabel">Department Id</span>:
+          </td>
+          <td> 
+            <span tal:content="info/student/department" />
+          </td>      
+        </tr>
+        <tr>
+          <td valign="top"><span class="dlabel">Study Course Id</span>:
+          </td>
+          <td> 
+            <span tal:content="info/student/course" />
+          </td>      
+        </tr>
       </table>
-
       <form action="." method="post" class="group">
         <span tal:condition="info/carry_overs" tal:omit-tag="">
-        <h4>Carryover Courses</h4>
-        <br />
-        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
-          <tr tal:repeat="row info/carry_overs"
-              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td width="78%" tal:content="row/title"></td>
-            <td width="10%" tal:content="row/code"></td>
-            <td width="2%">S<span tal:content="row/semester" /></td>
-            <td width="2%" tal:content="row/credits"></td>
-            <td width="8%" tal:content="row/grade|string:"></td>
-          </tr>
-        </table>
+          <h4>Carryover Courses</h4>
+          <br />
+          <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
+            <tr tal:repeat="row info/carry_overs"
+                tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+              <td width="78%" tal:content="row/title"></td>
+              <td width="10%" tal:content="row/code"></td>
+              <td width="2%">S<span tal:content="row/semester" /></td>
+              <td width="2%" tal:content="row/credits"></td>
+              <td width="8%" tal:content="row/grade|string:"></td>
+            </tr>
+          </table>
         </span>
         <h4>Session Courses</h4>
@@ -92,22 +90,22 @@
         </table>
       </form>
-        <span tal:condition="is_ca">   
-              <br /><br />
-              <table  width=100%>
-              <tr >
-              <td width=50%>Date:</td><td>Date:</td>
-              </tr>
-              </table>
-              
-              <br /><br /><br /><br />
-              <table  width=100%>
-              <tr >
-              <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td>
-              <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
-              </tr>
-              </table>
-         </span>              
-       </span>              
-    </metal:main>
+      <span tal:condition="is_ca">   
+        <br /><br />
+        <table  width=100%>
+          <tr >
+            <td width=50%>Date:</td><td>Date:</td>
+          </tr>
+        </table>
+        <br /><br /><br /><br />
+        <table  width=100%>
+          <tr >
+            <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td>
+            <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
+          </tr>
+        </table>
+      </span>              
+    </span>              
+    </span>              
+  </metal:main>
 </metal:body>
   