Index: WAeUP_SRP/trunk/Students.py
===================================================================
--- WAeUP_SRP/trunk/Students.py	(revision 1891)
+++ WAeUP_SRP/trunk/Students.py	(revision 1892)
@@ -305,4 +305,12 @@
             middlename = result.get(csv_d['jamb_middlename'])
             lastname = result.get(csv_d['jamb_lastname'])
+            if len(firstname) < 3\
+               and len(middlename) < 3\
+               and len(lastname) < 3:
+                em = 'Student Names to short \n'
+                logger.info(em)
+                result['Error'] = "Names to short"
+                no_import.append( format % result)
+                continue
             perm_address = result.get(csv_d['perm_address'])
             sid = self.generateStudentId('x')
Index: WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py	(revision 1891)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py	(revision 1892)
@@ -57,5 +57,8 @@
 resp = pd['resp_code']
 if  resp == '00':
-    wftool.doActionFor(student,'pay_school_fee')
+    if context.getStudentReviewState() == "school_fee_paid":
+        logger.info('%s paid school_fee in state school_fee_paid' % (student_id))
+    else:
+        wftool.doActionFor(student,'pay_school_fee')
     logger.info('%s received valid callback' % student_id)
     referer = request.get('HTTP_REFERER','none')
Index: WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py	(revision 1891)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py	(revision 1892)
@@ -122,5 +122,5 @@
 """ % xmldict
 total = int(xmldict['uniben_amt'])+int(xmldict['wema_amt'])+int(xmldict['provider_amt'])
-args['Amount'] = "%d" % total
+args['Amount'] = "%d" % (total + 15000)
 args['site_name'] = "uniben.waeup.org"
 args['cust_name_desc'] = "Student Name"
Index: WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py	(revision 1891)
+++ WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py	(revision 1892)
@@ -68,5 +68,5 @@
 context.portal_workflow.doActionFor(cr,'open')
 cr.getContent().edit(mapping=d)
-#context.portal_workflow.doActionFor(cr,'close')
+context.portal_workflow.doActionFor(cr,'close')
 args['course_id'] = course_id
 
Index: WAeUP_SRP/trunk/skins/waeup_student/display_cest_results.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/display_cest_results.py	(revision 1891)
+++ WAeUP_SRP/trunk/skins/waeup_student/display_cest_results.py	(revision 1892)
@@ -19,15 +19,15 @@
 pr = context.portal_registration
 
-res,psm,ds = lt.renderLayout(layout_id= 'student_application_search',
-                      schema_id= 'student_application',
-                      context=context,
-                      mapping=validate and REQUEST,
-                      ob={},
-                      layout_mode='create',
-                      formaction = "display_cest_results",
-                      button = "Search",
-                      commit=False,
-                      )
-if psm == 'invalid':
+res,psm,ds = lt.renderLayout('student_application_search',
+                             'student_application',
+                             context,
+                             mapping=validate and REQUEST,
+                             layout_mode='create',
+                             ob={"jamb_reg_no": '',},
+                             commit=False,
+                             formaction = "display_cest_results",
+                             button = "Search",
+                            )
+if True or psm == 'invalid':
     return context.display_cest_results_form(rendered = res,
                                  psm = "Please correct your input!",