Index: WAeUP_SRP/trunk/skins/waeup_design/folder_view.py_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/folder_view.py_not_used	(revision 1914)
+++ 	(revision )
@@ -1,24 +1,0 @@
-##parameters=b_start=0
-##
-from ZTUtils import Batch
-from ZTUtils import LazyFilter
-
-options = {}
-
-options['has_local'] = 'local_pt' in context.objectIds()
-
-key, reverse = context.getDefaultSorting()
-items = context.contentValues()
-items = sequence.sort( items, ((key, 'cmp', reverse and 'desc' or 'asc'),) )
-items = LazyFilter(items, skip='View')
-batch_obj = Batch(items, 25, b_start, orphan=0)
-listItemInfos = context.getBatchItemInfos(batch_obj)
-try:
-    target = context.getActionInfo('object/view')['url']
-except:
-    target = ''
-
-navigation = context.getBatchNavigation(batch_obj, target)
-options['batch'] = { 'listItemInfos': listItemInfos,
-                     'navigation': navigation }
-return context.index_html_template(**options)
Index: WAeUP_SRP/trunk/skins/waeup_design/index_html_template.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/index_html_template.pt_not_used	(revision 1914)
+++ 	(revision )
@@ -1,39 +1,0 @@
-<html metal:use-macro="context/main_template/macros/master">
-<body>
-
-<metal:slot metal:fill-slot="header" i18n:domain="cmf_default">
-  <div tal:condition="not: options/has_local">
-<metal:macro metal:use-macro="context/index_html_utils/macros/index_header" />
-  </div>
-  <div tal:condition="options/has_local">
-    <div metal:use-macro="context/local_pt/macros/header | default">
-      'local_pt' header goes here.
-    </div>
-  </div>
-</metal:slot>
-
-<metal:slot metal:fill-slot="main" i18n:domain="cmf_default"
-  tal:define="batch options/batch">
-
-  <div id="content_well"
-       style="float: left; top: 0; width: 78%;">
-    <div tal:condition="not: options/has_local">
-
-<metal:macro metal:use-macro="context/batch_widgets/macros/listing" />
-<metal:macro metal:use-macro="context/batch_widgets/macros/navigation" />
-
-    </div>
-    <div tal:condition="options/has_local">
-      <div metal:use-macro="context/local_pt/macros/body | default">
-        'local_pt' body goes here.
-      </div>
-    </div>
-  </div>
-  <div id="right_sidebar"
-       style="width: 20%">
-
-  </div>
-</metal:slot>
-
-</body>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_design/main_template.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1914)
+++ WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1917)
@@ -134,4 +134,5 @@
                 <tal:block repeat="portlet python:ptool.getPortlets(context=context, slot=object_tabs)"
                            tal:content="structure python:portlet.render_cache(context_obj=context, portlet=portlet, boxedit=None)" />
+            <metal:block define-slot="action_slot" />
             </div>
           </td>
Index: WAeUP_SRP/trunk/skins/waeup_directory/member_create_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_directory/member_create_form.pt	(revision 1914)
+++ WAeUP_SRP/trunk/skins/waeup_directory/member_create_form.pt	(revision 1917)
@@ -5,19 +5,22 @@
   "/>
 <metal:block use-macro="here/main_template/macros/master">
+
+  <metal:block fill-slot="action_slot" 
+               tal:define="actions python:context.getMembersDirectoryActions('create')">   
+     <span metal:use-macro="here/member_view/macros/members_actions" />
+  </metal:block>
   <metal:block fill-slot="main" tal:define="
-  actions python:context.getMembersDirectoryActions('create');
-  dummy dir/checkCreateEntryAllowed;
-  validate python: request.has_key('member_create_form');
-  create_request python: validate and request or nothing;
-  res python: dir.renderCreateEntryDetailed(
-  validate=validate, request=create_request,
-  created_callback='member_created');
-  global rendered_main python: res[0];
-  rendered_ok python: res[1];
-  ds python: res[2];
-  global portal_status_message python: validate and (rendered_ok and 
-  'psm_content_changed' or 'psm_content_error') or '';"
-  >
-    <span metal:use-macro="here/member_view/macros/members_actions" />
+          dummy dir/checkCreateEntryAllowed;
+          validate python: request.has_key('member_create_form');
+          create_request python: validate and request or nothing;
+          res python: dir.renderCreateEntryDetailed(
+          validate=validate, request=create_request,
+          created_callback='member_created');
+          global rendered_main python: res[0];
+          rendered_ok python: res[1];
+          ds python: res[2];
+          global portal_status_message python: validate and (rendered_ok and 
+          'psm_content_changed' or 'psm_content_error') or '';"
+          >
     <h3>
       Create Member     
Index: WAeUP_SRP/trunk/skins/waeup_directory/member_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_directory/member_edit_form.pt	(revision 1914)
+++ WAeUP_SRP/trunk/skins/waeup_directory/member_edit_form.pt	(revision 1917)
@@ -6,20 +6,22 @@
   "/>
 <metal:block use-macro="here/main_template/macros/master">
+  <metal:block fill-slot="action_slot" 
+               tal:define="actions python:context.getMembersDirectoryActions('edit')">   
+     <span metal:use-macro="here/member_view/macros/members_actions" />
+  </metal:block>
   <metal:block fill-slot="main" tal:define="
-  actions python:context.getMembersDirectoryActions('edit');
-  title_field dir/title_field;
-  validate python: request.has_key('member_edit_form');
-  edit_request python: validate and request or nothing;
-  res python: dir.renderEditEntryDetailed(id, request=edit_request);
-  global rendered_main python: res[0];
-  rendered_ok python: res[1];
-  ds python: res[2];
-  global title ds/?title_field|id;
-  portal_status_message request/portal_status_message|nothing;
-  global portal_status_message python: portal_status_message or (validate 
-  and (rendered_ok and 'psm_content_changed' or 'psm_content_error')) 
-  or '';"
-  >
-    <span metal:use-macro="here/member_view/macros/members_actions" />
+          title_field dir/title_field;
+          validate python: request.has_key('member_edit_form');
+          edit_request python: validate and request or nothing;
+          res python: dir.renderEditEntryDetailed(id, request=edit_request);
+          global rendered_main python: res[0];
+          rendered_ok python: res[1];
+          ds python: res[2];
+          global title ds/?title_field|id;
+          portal_status_message request/portal_status_message|nothing;
+          global portal_status_message python: portal_status_message or (validate 
+          and (rendered_ok and 'psm_content_changed' or 'psm_content_error')) 
+          or '';"
+          >
     <h3>
       <span tal:content="ds/fullname" />     
Index: WAeUP_SRP/trunk/skins/waeup_directory/member_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_directory/member_view.pt	(revision 1914)
+++ WAeUP_SRP/trunk/skins/waeup_directory/member_view.pt	(revision 1917)
@@ -6,30 +6,33 @@
   "/>
   <metal:block use-macro="here/main_template/macros/master">
+
+  <metal:block fill-slot="action_slot" tal:define="
+                        actions python:context.getMembersDirectoryActions('view')">   
+  <metal:block define-macro="members_actions">
+  <span class="fontColordefaultfontcolors fontShapeaverage cpsskinsHBox body" >
+    <span tal:repeat="action actions">
+      <a tal:define="icon_tag action/icon_tag"
+         tal:attributes="href action/url;
+         class python:icon_tag and 'noicon' or None"
+         >
+        <tal:block condition="python:icon_tag"
+                   content="structure icon_tag"/>
+        <tal:block condition="python:not icon_tag">
+          <img tal:attributes="src
+          string:${base_url}noicon.png;
+          alt action/title" 
+          />
+        </tal:block>
+        <tal:block i18n:translate="" content="action/title" />
+      </a>
+    </span>
+  </span>
+  </metal:block>
+  </metal:block>
+
   <metal:block fill-slot="main" tal:define="
-  actions python:context.getMembersDirectoryActions('view');
-  res python: dir.renderEntryDetailed(id);
-  global rendered_main python: res[0];
-  ds python: res[1];
-  global title ds/?title_field|id;"
-  >
-    <div class="fontColordefaultfontcolors fontShapeaverage cpsskinsHBox body" 
-         metal:define-macro="members_actions">
-      <span tal:repeat="action actions">
-        <a tal:define="icon_tag action/icon_tag"
-           tal:attributes="href action/url;
-           class python:icon_tag and 'noicon' or None"
-           >
-          <tal:block condition="python:icon_tag"
-                     content="structure icon_tag"/>
-          <tal:block condition="python:not icon_tag">
-            <img tal:attributes="src
-            string:${base_url}noicon.png;
-            alt action/title" 
-            />
-          </tal:block>
-          <tal:block i18n:translate="" content="action/title" />
-        </a>
-      </span>
-    </div>
+         res python: dir.renderEntryDetailed(id);
+         global rendered_main python: res[0];
+         ds python: res[1];">
     <h3>
       <span tal:content="ds/fullname" />     
Index: WAeUP_SRP/trunk/skins/waeup_directory/search_members_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_directory/search_members_form.pt	(revision 1914)
+++ WAeUP_SRP/trunk/skins/waeup_directory/search_members_form.pt	(revision 1917)
@@ -5,17 +5,17 @@
   "/>
   <metal:block use-macro="here/main_template/macros/master" >
-  <metal:block fill-slot="header"/>
+  <metal:block fill-slot="action_slot" 
+               tal:define="actions python:context.getMembersDirectoryActions('search')">   
+     <span metal:use-macro="here/member_view/macros/members_actions" />
+  </metal:block>
   <metal:block fill-slot="main" tal:define="
-  actions python:context.getMembersDirectoryActions('search');
-  validate python: request.has_key('cpsdirectory_search_button');
-  res python: dir.renderSearchDetailed(request=request, validate=validate,
-  callback='search_members');
-  global rendered_main python: res[0];
-  global ok python: res[1];
-  ds python: res[2];
-  global portal_status_message python: (validate and not ok and
-  'psm_content_error') or request.form.get('portal_status_message', '');"
-  >
-    <span metal:use-macro="here/member_view/macros/members_actions" />
+          validate python: request.has_key('cpsdirectory_search_button');
+          res python: dir.renderSearchDetailed(request=request, validate=validate,
+          callback='search_members');
+          global rendered_main python: res[0];
+          global ok python: res[1];
+          ds python: res[2];
+          global portal_status_message python: (validate and not ok and
+          'psm_content_error') or request.form.get('portal_status_message', '');">
     <h3>
       Search Member Section