Index: WAeUP_SRP/trunk/skins/waeup_epayment/goto_interswitch_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/goto_interswitch_form.pt	(revision 1936)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/goto_interswitch_form.pt	(revision 1937)
@@ -34,5 +34,5 @@
             Bank:
             </td>
-            <td>Bank</td>
+            <td>Wema Bank</td>
           </tr>          
         </table>
Index: WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py	(revision 1936)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py	(revision 1937)
@@ -12,4 +12,9 @@
 payment callback
 """
+try:
+    from Products.zdb import set_trace
+except:
+    def set_trace():
+        pass
 import logging
 logger = logging.getLogger('Skins.epayment_cb')
@@ -47,5 +52,9 @@
 #from Products.zdb import set_trace;set_trace()
 for rc,pdk in resp_codes:
-    pd[pdk] = request.get(rc)
+    pd[pdk] = request.get(rc,'')
+if pd['resp_code'] == '00' and len(pd['resp_approved_amount']) > 4: 
+    pd['resp_approved_amount'] = pd['resp_approved_amount'][:-2]
+else:
+    pd['resp_approved_amount'] = '0'
 try:
     context.getContent().edit(mapping=pd)
Index: WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_form.pt	(revision 1936)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_form.pt	(revision 1937)
@@ -29,5 +29,5 @@
             Bank:
             </td>
-            <td>Bank</td>
+            <td>Wema Bank</td>
           </tr>          
         </table>
Index: WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py	(revision 1936)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py	(revision 1937)
@@ -104,11 +104,19 @@
 for arg,field in payment_fields:
     args[arg] = info[field]
+itotal = int(amount)*100
+wema_amount = 10000
+provider_amount = 35000
+interswitch_amount = 15000
+#uniben_amount = itotal - wema_amount - provider_amount - interswitch_amount
+uniben_amount = itotal - interswitch_amount
 xmldict = {}
 xmldict['detail_ref'] = args['txn_ref'] 
 xmldict['department'] = sbrain.department 
 xmldict['faculty'] = sbrain.faculty
-xmldict['uniben_amt'] = "%s00" % amount
-xmldict['wema_amt'] = "10000"
-xmldict['provider_amt'] = "35000" 
+#xmldict['wema_amt'] = "%d" % wema_amount
+#xmldict['provider_amt'] = "%d" % provider_amount 
+xmldict['uniben_amt'] = "%d" % uniben_amount
+##<item_detail item_id="2" item_name="WEMA" item_amt="%(wema_amt)s" bank_id="16" acct_num="48398023902" />
+##<item_detail item_id="3" item_name="Portal Provider" item_amt="%(provider_amt)s" bank_id="47" acct_num="0980938209483" />
 xmltext = """
 <payment_item_detail>
@@ -116,10 +124,9 @@
 faculty="%(faculty)s">
 <item_detail item_id="1" item_name="UNIBEN" item_amt="%(uniben_amt)s" bank_id="16" acct_num="384950902390" /> 
-<item_detail item_id="2" item_name="WEMA" item_amt="%(wema_amt)s" bank_id="16" acct_num="48398023902" />
-<item_detail item_id="3" item_name="Portal Provider" item_amt="%(provider_amt)s" bank_id="47" acct_num="0980938209483" />
 </item_details>
 </payment_item_detail>
 """ % xmldict
-total = int(xmldict['uniben_amt'])+int(xmldict['wema_amt'])+int(xmldict['provider_amt'])
+#total = int(xmldict['uniben_amt'])+int(xmldict['wema_amt'])+int(xmldict['provider_amt'])
+total = int(xmldict['uniben_amt'])
 args['Amount'] = "%d" % (total + 15000)
 args['site_name'] = "uniben.waeup.org"
Index: WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1936)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1937)
@@ -45,7 +45,7 @@
             </a>             
             </td>
-            <td tal:condition="nothing">
+            <td tal:condition="python:1">
             <a tal:condition="row/is_requeryable"
-               tal:attributes="href string:${context/absolute_url}/${row/id}/requery_payment;
+               tal:attributes="href string:${info/query_url}?transRef=${row/trans_ref}&prodID=${info/prod_id}&${row/callback_url};
                                onclick python:'return window.confirm(\'%s\')' %(cpsmcat('Are you sure? You will not be able to undo the approval.'), );
                                ">
@@ -53,20 +53,15 @@
             </a>             
             </td>
-                        
           </tr>
         </table>
         <br />
         <div>
-        
         <form tal:condition="python:review_state == 'cleared_and_validated'" 
-              tal:attributes="action string: ${context/absolute_url}/pay_online" method="post" class="group">
+              tal:attributes="action string: ${context/absolute_url}/pay_interswitch" method="post" class="group">
          <input type="submit" name="epayment" 
                 class="context" 
                 value="Initiate School Fee Online Payment" 
                 />
-                
-                
         </form>  
-
         <form tal:condition="python:review_state == 'returning'" 
               tal:attributes="action string: ${context/absolute_url}/pay_by_sc" method="post" class="group">
@@ -74,5 +69,4 @@
                 tal:attributes="value info/next_session"
                 />
-
          <input type="submit" name="epayment" 
                 class="context" 
@@ -82,5 +76,4 @@
         </form>          
         </div>        
-
       </span>
       </span>